GPUS: (0, )
WORKERS: 4
PRINT_FREQ: 50

DATASET:
  DATASET: 300W
  ROOT: './data/300w/images'
  TRAINSET: './data/300w/face_landmarks_300w_train.csv'
  TESTSET: './data/300w/face_landmarks_300w_valid.csv'
  FLIP: true
  SCALE_FACTOR: 0.25
  ROT_FACTOR: 30
MODEL:
  NAME: 'hrnet'
  NUM_JOINTS: 68
  INIT_WEIGHTS: true
  PRETRAINED: 'hrnetv2_pretrained/hrnetv2_w18_imagenet_pretrained.pth'
  SIGMA: 1.0 
  IMAGE_SIZE:
    - 256
    - 256
  HEATMAP_SIZE:
    - 64
    - 64
  MEAN:
    - 0.485
    - 0.456
    - 0.406
  STD:
    - 0.229
    - 0.224
    - 0.225
  EXTRA:
    FINAL_CONV_KERNEL: 1
    STAGE2:
      NUM_MODULES: 1
      NUM_BRANCHES: 2
      BLOCK: BASIC
      NUM_BLOCKS:
        - 4
        - 4
      NUM_CHANNELS:
        - 18
        - 36
      FUSE_METHOD: SUM
    STAGE3:
      NUM_MODULES: 4
      NUM_BRANCHES: 3
      BLOCK: BASIC
      NUM_BLOCKS:
        - 4
        - 4
        - 4
      NUM_CHANNELS:
        - 18
        - 36
        - 72
      FUSE_METHOD: SUM
    STAGE4:
      NUM_MODULES: 3
      NUM_BRANCHES: 4
      BLOCK: BASIC
      NUM_BLOCKS:
        - 4
        - 4
        - 4
        - 4
      NUM_CHANNELS:
        - 18
        - 36
        - 72
        - 144
      FUSE_METHOD: SUM
TRAIN:
  BATCH_SIZE_PER_GPU: 16
  SHUFFLE: true
  BEGIN_EPOCH: 0
  END_EPOCH: 60
  RESUME: true
  OPTIMIZER: 'adam'
  LR: 0.0001
  WD: 0.0
  LR_STEP: [30, 50]
  MOMENTUM: 0.0
  NESTEROV: false
TEST:
  BATCH_SIZE_PER_GPU: 8
